Skip to main content
POST
/
v1
/
organizations
/
{organization_id}
/
tokens
Create organization API key
curl --request POST \
  --url https://api.shareofmodel.ai/v1/organizations/{organization_id}/tokens \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "role": "organization_guest"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "secret_key": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "role": "<string>",
  "last_login": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

organization_id
string<uuid>
required

A UUID string identifying the organization.

Body

name
string
required
role
enum<string>
required
  • organization_guest - Organization Guest
  • organization_viewer - Organization Viewer
  • organization_editor - Organization Editor
  • organization_owner - Organization Owner
Available options:
organization_guest,
organization_viewer,
organization_editor,
organization_owner

Response

201 - application/json
id
string<uuid>
required
name
string
required
secret_key
string
required
created
string<date-time>
required
created_by
string<uuid>
required
role
string | null
last_login
string<date-time> | null